package com.xhpc.user.mapper;

import com.xhpc.user.domain.XhpcAppUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * C端用户信息 数据层
 *
 * @author ruoyi
 */
public interface XhpcAppUserMapper {

    /**
     * 新增 C端用户信息
     *
     * @param xhpcAppUser C端用户信息
     * @return 结果
     */
    public int insert(XhpcAppUser xhpcAppUser);

    /**
     * 修改C端用户信息
     *
     * @param xhpcAppUser C端用户信息
     * @return 结果
     */
    public int update(XhpcAppUser xhpcAppUser);

    /**
     * 删除C端用户信息
     *
     * @param appUserId C端用户id
     * @return 结果
     */
    public int deleteById(@Param("appUserId") Long appUserId);


    /**
     * 查询C端用户详情
     *
     * @param appUserId C端用户id
     * @return 结果
     */
    public Map<String, Object> info(@Param("appUserId") Long appUserId);

    /**
     * C端用户分页列表
     *
     * @param phone 手机号
     * @return 结果
     */
    public List<Map<String, Object>> selectAppUserList(@Param("phone") String phone);


    public Map<String, Object> userSum(@Param("phone")String phone,@Param("time")String time);

    /**
     * 手机号查询C端用户信息
     *
     * @param phone 手机号
     * @return 结果
     */
    public XhpcAppUser getAppUserByPhone(@Param("phone") String phone);

    /**
     * openid查询C端用户信息
     *
     * @param openid
     * @return 结果
     */
    public XhpcAppUser getAppUserByOpenid(@Param("openid") String openid);
}
